%Figure 8.16
close all
%       Performance weight (8.132)
wp = nd2sys([10 1],[10 1.e-5],0.5); % Approximated integrator
%       Uncertainty weight
wi = nd2sys([5 1],[0.5 1],0.2);
%       Frequency vector
omega = logspace(-3,2,51);
%       Plot weights
vplot('liv,lm',frsp(wp,omega),frsp(wi,omega),1,':')
xlabel('FRQUENCY'); ylabel('MAGNITUDE'); 
text(.03,3,'WP'), text(10,3,'WI');
axis([0.001 100 .1 100]);


