%Examples to show the calculation of system norms in Section 4.10
%
G = nd2sys(1,[1 0.5]);

G2=mmult(G,G);

h2norm(G), h2norm(G2)      % h2:   get 1 and 1.414

hinfnorm(G), hinfnorm(G2)  % hinf: get 2 and 4

[sysb,hsig]=sysbal(G); max(hsig) % hankel: get 1 and 2.414
[sysb,hsig]=sysbal(G2); max(hsig)


epps=0.0001
f1 = nd2sys(1,[epps 1]);    
f2 = nd2sys([epps 0],[1 epps 1]);

h2norm(f1), hinfnorm(f1)     % get 70.71 (h2) and 1 (hinf)
[sysb,hsig]=sysbal(f1); max(hsig) % and 0.5 (hankel)


h2norm(f2), hinfnorm(f2)     % get 0.007 (h2) and 1 (hinf)
[sysb,hsig]=sysbal(f2); max(hsig) % and 0.5 (hankel)





