%Example 3.6 Distillation Process
%
G0 = [87.8 -86.4; 108.2 -109.6];
[U,sval,V]=svd(G0)           % or use: [U,sval,V]=vsvd(G0) for G freq.-varying
rga = G0.*pinv(G0.')         % or use: rga = vrga(G0) - see function vrga 
rgasum = sum(sum(abs(rga)))  % sum-norm of RGA (sum of elements)
gamma = cond(G0)             % or use: gamma = vcond(G) for G freq.-varying
gammamin = condmin(G0)       % see function condmin 
gammamini = condmini(G0)     % see function condmini
gammamino = condmino(G0)     % see function condmino
