%Example 7.5
w=logspace(-2,2,51);
rk=0.2;
theta=1;
wi=nd2sys([(1+rk/2)*theta rk],[theta/2 1]);
wif=frsp(wi,w);
w1=w(w<pi/theta);
w2=w(w>=pi/theta);
li=sqrt(rk*rk+2*(1+rk)*(1-cos(theta*w1)));
li=[li ones(size(w2))*(2+rk)];
lif=vpck(li(:),w(:));

%Figure 7.9
vplot('liv,lm',lif,wif,'--');
xlabel('Frequency');ylabel('Magnitude');
text(1,2,'li');
text(3,1.5,'wi');

